import Ogma from '@linkurious/ogma';

// This file is the UI controls for the demo, for
// the styling code check out demo files:

// Attributes manipulation:
import { demoAttributes } from './attributes';
// Style rules:
import { demoRules } from './rules';
// Style classes:
import { demoClasses } from './classes';

// Ogma initialization/cleanup
let ogma;

// demo selector
function selectDemo(name) {
  if (ogma) {
    ogma.destroy();
  }
  ogma = new Ogma({
    container: 'graph-container',
    options: {
      backgroundColor: 'rgb(210, 210, 210)'
    }
  });

  localStorage.setItem('ogma-tutorial-styling-demo', name);

  if (name === 'attributes') return demoAttributes(ogma);
  if (name === 'rules') return demoRules(ogma);
  if (name === 'classes') return demoClasses(ogma);
}

const demoSelector = document.getElementById('demo-select');
const onDemoSelect = () => {
  requestAnimationFrame(() => {
    selectDemo(demoSelector.value);
  });
};

// persist chosen demo in localStorage
const lastSelected = localStorage.getItem('ogma-tutorial-styling-demo');
if (lastSelected !== undefined) {
  for (let i = 0; i < demoSelector.options.length; i++) {
    const option = demoSelector.options[i];
    if (option.value === lastSelected) {
      demoSelector.selectedIndex = i;
      break;
    }
  }
}

demoSelector.addEventListener('change', onDemoSelect);
// initial demo
onDemoSelect();
